Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# Image

This module provides access to Image objects in Blender.

Example:

     import Blender
     from Blender import Image
     #
     image = Image.Load("/path/to/my/image.png")    # load an image file
     print "Image from", image.getFilename(),
     print "loaded to obj", image.getName())
     image.setXRep(4)                               # set x tiling factor
     image.setYRep(2)                               # set y tiling factor
     print "All Images available now:", Image.Get()

Classes |
`Image` | This object gives access to Images in Blender.

Function Summary |
Blender Image or a list of Blender Images | `Get(name)` Get the Image object(s) from Blender.
Blender Image | `Load(filename)` Load the image called 'filename' into an Image object.
Blender Image | `New(name)` Create a new Image object (not implemented yet!).

Function Details |

Get(name=None)

Get the Image object(s) from Blender.

  Parameters:

    `name` - The name of the Image object.

    (type=string)

  Returns:

    It depends on the name parameter:

    - (name): The Image object called name, None if not found;

    - (): A list with all Image objects in the current scene.

    (type=Blender Image or a list of Blender Images)

Load(filename)

Load the image called 'filename' into an Image object.

  Parameters:

    `filename` - The full path to the image file.

    (type=string)

  Returns:

    A Blender Image object with the data from filename.

    (type=Blender Image)

New(name)

Create a new Image object (not implemented yet!).

  Parameters:

    `name` - The name of the new Image object.

    (type=string)

  Returns:

    A new Blender Image object.

    (type=Blender Image)

  Warning: This function wasn't implemented yet. It simply returns None.

<<< Previous | Home | Next >>>
Module Image | Up | Class Image